
QGIS Application - Bug report #18790

[Layout] drag-and-drop a layout template from file browser can create layout with empty name

2018-04-22 12:41 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.1(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26677

Description

Drag-and-drop a layout template from file browser onto QGIS canvas

You'll be asked to select a name for the layout

Apply without giving a name: you get a new but unnamed print layout.

Associated revisions

Revision b63733ed - 2018-05-01 08:55 PM - Nyall Dawson

[layouts] Fix handling of layout name when dropping qpt file to app

- Fix entered name is ignored and replaced by stored name

- Default to name stored in qpt as initial name for layout

Fixes #18790

Revision da2c4be3 - 2018-05-03 03:23 AM - Nyall Dawson

[layouts] Fix handling of layout name when dropping qpt file to app

- Fix entered name is ignored and replaced by stored name

- Default to name stored in qpt as initial name for layout

Fixes #18790

(cherry-picked from b63733ed9)

History

#1 - 2018-05-01 04:00 AM - Nyall Dawson

- Status changed from Open to In Progress

#2 - 2018-05-01 08:55 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|b63733ed96636e8b064550597c23196b84b88b53.

2025-04-27 1/2



2025-04-27 2/2


